Subject: RE: bug#8301: 24.0.50; non-interactive `yank' in another buffer leaves point beforeinsertion

From: "Drew Adams" <[email-masked]>
Date: Sun, 20 Mar 2011 13:10:29 -0700

Sorry, I should have been clearer with my recipe. I meant `C-x 4 f foo.el', not
`C-x C-f foo.el'.

It seems that this makes a difference: If the buffer is visible then the
behavior I described occurs.  If the buffer is not visible (e.g. if you do `C-x
C-f foo.el*, so *scratch* is not visible when you eval the sexp), then it
behaves as I would expect (no bug).

So maybe this does have something to do with `window-point' after all?  Dunno.

Anyway, I would like to know how to code this so that it does what I expect
regardless of whether the target buffer is visible.  Thx.